function s = multiple_bandstops(s1,fs)
    bs = 100;
    s1 = bandstop(s1,[bs-1.5 bs+1.5],fs);
    bs = 200;
    s1 = bandstop(s1,[bs-2 bs+2],fs);
    bs = 300;
    s1 = bandstop(s1,[bs-2 bs+2],fs);
    bs = 400;
    s1 = bandstop(s1,[bs-2 bs+2],fs);
    bs = 500.9;
    s1 = bandstop(s1,[bs-2 bs+2],fs);
    bs = 600.9;
    s1 = bandstop(s1,[bs-2 bs+2],fs);
    bs = 700.9;
    s1 = bandstop(s1,[bs-2 bs+2],fs);
    bs = 800.9;
    s1 = bandstop(s1,[bs-2 bs+2],fs);
    s = s1;
    s = highpass(s,55,fs);
end